Authentication
To access the Streaming API, you must create an API consumer that has the Manage Events Streaming (MANAGE_EVENTS_STREAMING) permission assigned to it and create API keys using this API consumer.
API keys inherit the scope of access settings from the API consumer that creates them. You must authenticate every request to the Streaming API using an API key in the request header.
You may create and manage API consumers and keys either through the Mambu UI or using the API Consumers endpoint provided by Mambu API v2. For more information, see API Consumers in our User Guide.
API consumers and keys is currently an Early Access feature. If you would like to request early access to this feature, please get in touch with your Mambu Customer Success Manager to discuss your requirements. For more information, see Mambu Release Cycle - Feature Release Status.
Example authenticated request using cURL
curl --request GET 'https://TENANT_NAME.mambu.com/api/v1/subscriptions/d45a34ed341321bca4d89e42452dc074/events' \
--header 'apikey: i9TCzwUBwyTVQrfPEAhk0oEpOUCt0O2M'